Download it now!
Bug 40878 - EDITING Remove leading spaces on centering
Summary: EDITING Remove leading spaces on centering
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.2 release
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsUXEval
Depends on:
Blocks: Paragraph Writer-UX
  Show dependency treegraph
 
Reported: 2011-09-14 06:27 UTC by Urmas
Modified: 2019-08-09 04:11 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Urmas 2011-09-14 06:27:53 UTC
Consider automatic removing of leading spaces when paragraph is made centered or right-aligned.
Comment 1 Björn Michaelsen 2011-12-23 12:31:57 UTC Comment hidden (obsolete)
Comment 2 Joel Madero 2014-07-13 01:33:33 UTC Comment hidden (obsolete)
Comment 3 Thomas Lendo 2017-06-05 19:56:55 UTC
I don't think it's a good idea to delete user input without warning. There may be circumstances where spaces are desired and shouldn't removed.

Adding needsUXEval keyword.
I suggest to close this as wontfix.
Comment 4 Heiko Tietze 2017-06-06 08:17:23 UTC
While I agree with Thomas the proposal is exactly how Microsoft Word works. Leading and trailing white-spaces are removed automatically (undo returns to the old alignment with white-spaces). We should check other tools if there is a pattern. And if not, close this ticket as WONTFIX.
Comment 5 Heiko Tietze 2019-08-08 13:21:11 UTC
No further input so closing as WF. Could be a nice extension that trims text.